Skip to content
For the complete documentation index, see llms.txt. This page is also available as Markdown.

Universal Broker

Snyk API reference for the Universal Broker endpoints, including request parameters and response schemas

This document uses the REST API. For more details, see the Authentication for API page.

Creates Broker Deployment

post

Creates a new Broker Deployment for an installation

Required permissions

  • View Tenant Details (tenant.read)

  • Edit Tenant Details (tenant.edit)

Authorizations
AuthorizationstringRequired

API key value must be prefixed with "Token ".

Path parameters
tenant_idstring · uuidRequired

Tenant ID

install_idstring · uuidRequired

Install ID

Query parameters
versionstringRequired

Requested API version

Example: 2021-06-04Pattern: ^(wip|work-in-progress|experimental|beta|((([0-9]{4})-([0-1][0-9]))-((3[01])|(0[1-9])|([12][0-9]))(~(wip|work-in-progress|experimental|beta))?))$
Body
Responses
201

Created broker deployment successfully

application/vnd.api+json
post/tenants/{tenant_id}/brokers/installs/{install_id}/deployments
POST /rest/tenants/{tenant_id}/brokers/installs/{install_id}/deployments?version=2021-06-04 HTTP/1.1
Host: api.snyk.io
Authorization: YOUR_API_KEY
Content-Type: application/vnd.api+json
Accept: */*
Content-Length: 138

{
  "data": {
    "attributes": {
      "broker_app_installed_in_org_id": "123e4567-e89b-12d3-a456-426614174000",
      "metadata": {}
    },
    "type": "broker_deployment"
  }
}
{
  "data": {
    "attributes": {
      "broker_app_installed_in_org_id": "123e4567-e89b-12d3-a456-426614174000",
      "created_at": "2026-01-01T00:00:00.000Z",
      "install_id": "123e4567-e89b-12d3-a456-426614174000",
      "metadata": {},
      "updated_at": "2026-01-01T00:00:00.000Z"
    },
    "id": "123e4567-e89b-12d3-a456-426614174000",
    "type": "broker_deployment"
  },
  "jsonapi": {
    "version": "1.0"
  },
  "links": {
    "first": "https://example.com/api/resource?ending_before=v1.eyJpZCI6IjExIn0K",
    "last": "https://example.com/api/resource?starting_after=v1.eyJpZCI6IjMwIn0K",
    "next": "https://example.com/api/resource?starting_after=v1.eyJpZCI6IjEwIn0K"
  }
}

List Broker deployments

get

List Broker deployments for a given install ID

Required permissions

  • View Tenant Details (tenant.read)
Authorizations
AuthorizationstringRequired

API key value must be prefixed with "Token ".

Path parameters
tenant_idstring · uuidRequired

Tenant ID

install_idstring · uuidRequired

Install ID

Query parameters
ending_beforestringOptional

Return the page of results immediately before this cursor

Example: v1.eyJpZCI6IjExMDAifQo=
starting_afterstringOptional

Return the page of results immediately after this cursor

Example: v1.eyJpZCI6IjEwMDAifQo=
limitinteger · int32 · min: 1 · max: 100Optional

Number of results to return per page

Default: 10Example: 10
versionstringRequired

Requested API version

Example: 2021-06-04Pattern: ^(wip|work-in-progress|experimental|beta|((([0-9]{4})-([0-1][0-9]))-((3[01])|(0[1-9])|([12][0-9]))(~(wip|work-in-progress|experimental|beta))?))$
Responses
200

Returns the list of Broker deployments by install ID

application/vnd.api+json
get/tenants/{tenant_id}/brokers/installs/{install_id}/deployments
GET /rest/tenants/{tenant_id}/brokers/installs/{install_id}/deployments?version=2021-06-04 HTTP/1.1
Host: api.snyk.io
Authorization: YOUR_API_KEY
Accept: */*
{
  "data": [
    {
      "attributes": {
        "broker_app_installed_in_org_id": "123e4567-e89b-12d3-a456-426614174000",
        "created_at": "2026-01-01T00:00:00.000Z",
        "install_id": "123e4567-e89b-12d3-a456-426614174000",
        "metadata": {},
        "updated_at": "2026-01-01T00:00:00.000Z"
      },
      "id": "123e4567-e89b-12d3-a456-426614174000",
      "type": "broker_deployment"
    }
  ],
  "jsonapi": {
    "version": "1.0"
  },
  "links": {
    "first": "https://example.com/api/resource?ending_before=v1.eyJpZCI6IjExIn0K",
    "last": "https://example.com/api/resource?starting_after=v1.eyJpZCI6IjMwIn0K",
    "next": "https://example.com/api/resource?starting_after=v1.eyJpZCI6IjEwIn0K"
  }
}

Updates Broker deployment

patch

Updates a Broker deployment for a given install ID

Required permissions

  • View Tenant Details (tenant.read)

  • Edit Tenant Details (tenant.edit)

Authorizations
AuthorizationstringRequired

API key value must be prefixed with "Token ".

Path parameters
tenant_idstring · uuidRequired

Tenant ID

install_idstring · uuidRequired

Install ID

deployment_idstring · uuidRequired

Deployment ID

Query parameters
versionstringRequired

Requested API version

Example: 2021-06-04Pattern: ^(wip|work-in-progress|experimental|beta|((([0-9]{4})-([0-1][0-9]))-((3[01])|(0[1-9])|([12][0-9]))(~(wip|work-in-progress|experimental|beta))?))$
Body
Responses
200

Updates an existing Broker deployment by install ID

application/vnd.api+json
patch/tenants/{tenant_id}/brokers/installs/{install_id}/deployments/{deployment_id}
PATCH /rest/tenants/{tenant_id}/brokers/installs/{install_id}/deployments/{deployment_id}?version=2021-06-04 HTTP/1.1
Host: api.snyk.io
Authorization: YOUR_API_KEY
Content-Type: application/vnd.api+json
Accept: */*
Content-Length: 190

{
  "data": {
    "attributes": {
      "broker_app_installed_in_org_id": "123e4567-e89b-12d3-a456-426614174000",
      "install_id": "123e4567-e89b-12d3-a456-426614174000",
      "metadata": {}
    },
    "type": "broker_deployment"
  }
}
{
  "data": {
    "attributes": {
      "broker_app_installed_in_org_id": "123e4567-e89b-12d3-a456-426614174000",
      "created_at": "2026-01-01T00:00:00.000Z",
      "install_id": "123e4567-e89b-12d3-a456-426614174000",
      "metadata": {},
      "updated_at": "2026-01-01T00:00:00.000Z"
    },
    "id": "123e4567-e89b-12d3-a456-426614174000",
    "type": "broker_deployment"
  },
  "jsonapi": {
    "version": "1.0"
  },
  "links": {
    "first": "https://example.com/api/resource?ending_before=v1.eyJpZCI6IjExIn0K",
    "last": "https://example.com/api/resource?starting_after=v1.eyJpZCI6IjMwIn0K",
    "next": "https://example.com/api/resource?starting_after=v1.eyJpZCI6IjEwIn0K"
  }
}

Deletes Broker deployment

delete

Delete a Broker deployment for a given install ID

Required permissions

  • View Tenant Details (tenant.read)

  • Edit Tenant Details (tenant.edit)

Authorizations
AuthorizationstringRequired

API key value must be prefixed with "Token ".

Path parameters
tenant_idstring · uuidRequired

Tenant ID

install_idstring · uuidRequired

Install ID

deployment_idstring · uuidRequired

Deployment ID

Query parameters
versionstringRequired

Requested API version

Example: 2021-06-04Pattern: ^(wip|work-in-progress|experimental|beta|((([0-9]{4})-([0-1][0-9]))-((3[01])|(0[1-9])|([12][0-9]))(~(wip|work-in-progress|experimental|beta))?))$
Responses
204

Returns an empty response

delete/tenants/{tenant_id}/brokers/installs/{install_id}/deployments/{deployment_id}
DELETE /rest/tenants/{tenant_id}/brokers/installs/{install_id}/deployments/{deployment_id}?version=2021-06-04 HTTP/1.1
Host: api.snyk.io
Authorization: YOUR_API_KEY
Accept: */*

No content

Create deployment credential

post

Creates a new Deployment credential

Required permissions

  • View Tenant Details (tenant.read)

  • Edit Tenant Details (tenant.edit)

Authorizations
AuthorizationstringRequired

API key value must be prefixed with "Token ".

Path parameters
tenant_idstring · uuidRequired

Tenant ID

install_idstring · uuidRequired

Install ID

deployment_idstring · uuidRequired

Deployment ID

Query parameters
versionstringRequired

Requested API version

Example: 2021-06-04Pattern: ^(wip|work-in-progress|experimental|beta|((([0-9]{4})-([0-1][0-9]))-((3[01])|(0[1-9])|([12][0-9]))(~(wip|work-in-progress|experimental|beta))?))$
Body
Responses
201

Created Deployment credential successfully

application/vnd.api+json
post/tenants/{tenant_id}/brokers/installs/{install_id}/deployments/{deployment_id}/credentials
POST /rest/tenants/{tenant_id}/brokers/installs/{install_id}/deployments/{deployment_id}/credentials?version=2021-06-04 HTTP/1.1
Host: api.snyk.io
Authorization: YOUR_API_KEY
Content-Type: application/vnd.api+json
Accept: */*
Content-Length: 124

{
  "data": {
    "attributes": [
      {
        "comment": "text",
        "environment_variable_name": "text",
        "type": "text"
      }
    ],
    "type": "deployment_credential"
  }
}
{
  "data": [
    {
      "attributes": {
        "comment": "text",
        "deployment_id": "123e4567-e89b-12d3-a456-426614174000",
        "environment_variable_name": "text",
        "type": "text"
      },
      "id": "123e4567-e89b-12d3-a456-426614174000",
      "relationships": {
        "broker_connections": [
          {
            "data": {
              "id": "text",
              "type": "text"
            }
          }
        ],
        "jsonapi": {
          "version": "1.0"
        },
        "links": {
          "first": "https://example.com/api/resource?ending_before=v1.eyJpZCI6IjExIn0K",
          "last": "https://example.com/api/resource?starting_after=v1.eyJpZCI6IjMwIn0K",
          "next": "https://example.com/api/resource?starting_after=v1.eyJpZCI6IjEwIn0K"
        }
      },
      "type": "deployment_credential"
    }
  ],
  "jsonapi": {
    "version": "1.0"
  },
  "links": {
    "first": "https://example.com/api/resource?ending_before=v1.eyJpZCI6IjExIn0K",
    "last": "https://example.com/api/resource?starting_after=v1.eyJpZCI6IjMwIn0K",
    "next": "https://example.com/api/resource?starting_after=v1.eyJpZCI6IjEwIn0K"
  }
}

List Deployment credentials

get

List Deployment credentials for a given deployment ID

Required permissions

  • View Tenant Details (tenant.read)
Authorizations
AuthorizationstringRequired

API key value must be prefixed with "Token ".

Path parameters
tenant_idstring · uuidRequired

Tenant ID

install_idstring · uuidRequired

Install ID

deployment_idstring · uuidRequired

Deployment ID

Query parameters
ending_beforestringOptional

Return the page of results immediately before this cursor

Example: v1.eyJpZCI6IjExMDAifQo=
starting_afterstringOptional

Return the page of results immediately after this cursor

Example: v1.eyJpZCI6IjEwMDAifQo=
limitinteger · int32 · min: 1 · max: 100Optional

Number of results to return per page

Default: 10Example: 10
versionstringRequired

Requested API version

Example: 2021-06-04Pattern: ^(wip|work-in-progress|experimental|beta|((([0-9]{4})-([0-1][0-9]))-((3[01])|(0[1-9])|([12][0-9]))(~(wip|work-in-progress|experimental|beta))?))$
Responses
200

Returns the list of deployment credentials by ID

application/vnd.api+json
get/tenants/{tenant_id}/brokers/installs/{install_id}/deployments/{deployment_id}/credentials
GET /rest/tenants/{tenant_id}/brokers/installs/{install_id}/deployments/{deployment_id}/credentials?version=2021-06-04 HTTP/1.1
Host: api.snyk.io
Authorization: YOUR_API_KEY
Accept: */*
{
  "data": [
    {
      "attributes": {
        "comment": "text",
        "deployment_id": "123e4567-e89b-12d3-a456-426614174000",
        "environment_variable_name": "text",
        "type": "text"
      },
      "id": "123e4567-e89b-12d3-a456-426614174000",
      "relationships": {
        "broker_connections": [
          {
            "data": {
              "id": "text",
              "type": "text"
            }
          }
        ],
        "jsonapi": {
          "version": "1.0"
        },
        "links": {
          "first": "https://example.com/api/resource?ending_before=v1.eyJpZCI6IjExIn0K",
          "last": "https://example.com/api/resource?starting_after=v1.eyJpZCI6IjMwIn0K",
          "next": "https://example.com/api/resource?starting_after=v1.eyJpZCI6IjEwIn0K"
        }
      },
      "type": "deployment_credential"
    }
  ],
  "jsonapi": {
    "version": "1.0"
  },
  "links": {
    "first": "https://example.com/api/resource?ending_before=v1.eyJpZCI6IjExIn0K",
    "last": "https://example.com/api/resource?starting_after=v1.eyJpZCI6IjMwIn0K",
    "next": "https://example.com/api/resource?starting_after=v1.eyJpZCI6IjEwIn0K"
  }
}

Updates Deployment credential

patch

Updates a Deployment credential for an deployment

Required permissions

  • View Tenant Details (tenant.read)

  • Edit Tenant Details (tenant.edit)

Authorizations
AuthorizationstringRequired

API key value must be prefixed with "Token ".

Path parameters
tenant_idstring · uuidRequired

Tenant ID

install_idstring · uuidRequired

Install ID

deployment_idstring · uuidRequired

Deployment ID

credential_idstring · uuidRequired

Credential ID

Query parameters
versionstringRequired

Requested API version

Example: 2021-06-04Pattern: ^(wip|work-in-progress|experimental|beta|((([0-9]{4})-([0-1][0-9]))-((3[01])|(0[1-9])|([12][0-9]))(~(wip|work-in-progress|experimental|beta))?))$
Body
Responses
200

Updates an existing Deployment credential for an deployment

application/vnd.api+json
patch/tenants/{tenant_id}/brokers/installs/{install_id}/deployments/{deployment_id}/credentials/{credential_id}
PATCH /rest/tenants/{tenant_id}/brokers/installs/{install_id}/deployments/{deployment_id}/credentials/{credential_id}?version=2021-06-04 HTTP/1.1
Host: api.snyk.io
Authorization: YOUR_API_KEY
Content-Type: application/vnd.api+json
Accept: */*
Content-Length: 469

{
  "data": {
    "attributes": {
      "comment": "text",
      "environment_variable_name": "text",
      "type": "text"
    },
    "relationships": {
      "broker_connections": [
        {
          "data": {
            "id": "text",
            "type": "text"
          }
        }
      ],
      "jsonapi": {
        "version": "1.0"
      },
      "links": {
        "first": "https://example.com/api/resource?ending_before=v1.eyJpZCI6IjExIn0K",
        "last": "https://example.com/api/resource?starting_after=v1.eyJpZCI6IjMwIn0K",
        "next": "https://example.com/api/resource?starting_after=v1.eyJpZCI6IjEwIn0K"
      }
    },
    "type": "deployment_credential"
  }
}
{
  "data": {
    "attributes": {
      "comment": "text",
      "deployment_id": "123e4567-e89b-12d3-a456-426614174000",
      "environment_variable_name": "text",
      "type": "text"
    },
    "id": "123e4567-e89b-12d3-a456-426614174000",
    "relationships": {
      "broker_connections": [
        {
          "data": {
            "id": "text",
            "type": "text"
          }
        }
      ],
      "jsonapi": {
        "version": "1.0"
      },
      "links": {
        "first": "https://example.com/api/resource?ending_before=v1.eyJpZCI6IjExIn0K",
        "last": "https://example.com/api/resource?starting_after=v1.eyJpZCI6IjMwIn0K",
        "next": "https://example.com/api/resource?starting_after=v1.eyJpZCI6IjEwIn0K"
      }
    },
    "type": "deployment_credential"
  },
  "jsonapi": {
    "version": "1.0"
  },
  "links": {
    "first": "https://example.com/api/resource?ending_before=v1.eyJpZCI6IjExIn0K",
    "last": "https://example.com/api/resource?starting_after=v1.eyJpZCI6IjMwIn0K",
    "next": "https://example.com/api/resource?starting_after=v1.eyJpZCI6IjEwIn0K"
  }
}

Get Deployment credential

get

Get all Deployment credential data for an deployment

Required permissions

  • View Tenant Details (tenant.read)
Authorizations
AuthorizationstringRequired

API key value must be prefixed with "Token ".

Path parameters
tenant_idstring · uuidRequired

Tenant ID

install_idstring · uuidRequired

Install ID

deployment_idstring · uuidRequired

Deployment ID

credential_idstring · uuidRequired

Credential ID

Query parameters
versionstringRequired

Requested API version

Example: 2021-06-04Pattern: ^(wip|work-in-progress|experimental|beta|((([0-9]{4})-([0-1][0-9]))-((3[01])|(0[1-9])|([12][0-9]))(~(wip|work-in-progress|experimental|beta))?))$
ending_beforestringOptional

Return the page of results immediately before this cursor

Example: v1.eyJpZCI6IjExMDAifQo=
starting_afterstringOptional

Return the page of results immediately after this cursor

Example: v1.eyJpZCI6IjEwMDAifQo=
limitinteger · int32 · min: 1 · max: 100Optional

Number of results to return per page

Default: 10Example: 10
Responses
200

Returns a Deployment credential

application/vnd.api+json
get/tenants/{tenant_id}/brokers/installs/{install_id}/deployments/{deployment_id}/credentials/{credential_id}
GET /rest/tenants/{tenant_id}/brokers/installs/{install_id}/deployments/{deployment_id}/credentials/{credential_id}?version=2021-06-04 HTTP/1.1
Host: api.snyk.io
Authorization: YOUR_API_KEY
Accept: */*
{
  "data": {
    "attributes": {
      "comment": "text",
      "deployment_id": "123e4567-e89b-12d3-a456-426614174000",
      "environment_variable_name": "text",
      "type": "text"
    },
    "id": "123e4567-e89b-12d3-a456-426614174000",
    "relationships": {
      "broker_connections": [
        {
          "data": {
            "id": "text",
            "type": "text"
          }
        }
      ],
      "jsonapi": {
        "version": "1.0"
      },
      "links": {
        "first": "https://example.com/api/resource?ending_before=v1.eyJpZCI6IjExIn0K",
        "last": "https://example.com/api/resource?starting_after=v1.eyJpZCI6IjMwIn0K",
        "next": "https://example.com/api/resource?starting_after=v1.eyJpZCI6IjEwIn0K"
      }
    },
    "type": "deployment_credential"
  },
  "jsonapi": {
    "version": "1.0"
  },
  "links": {
    "first": "https://example.com/api/resource?ending_before=v1.eyJpZCI6IjExIn0K",
    "last": "https://example.com/api/resource?starting_after=v1.eyJpZCI6IjMwIn0K",
    "next": "https://example.com/api/resource?starting_after=v1.eyJpZCI6IjEwIn0K"
  }
}

Deletes Deployment credential

delete

Deletes an existing Deployment credential for an deployment

Required permissions

  • View Tenant Details (tenant.read)

  • Edit Tenant Details (tenant.edit)

Authorizations
AuthorizationstringRequired

API key value must be prefixed with "Token ".

Path parameters
tenant_idstring · uuidRequired

Tenant ID

install_idstring · uuidRequired

Install ID

deployment_idstring · uuidRequired

Deployment ID

credential_idstring · uuidRequired

Credential ID

Query parameters
versionstringRequired

Requested API version

Example: 2021-06-04Pattern: ^(wip|work-in-progress|experimental|beta|((([0-9]{4})-([0-1][0-9]))-((3[01])|(0[1-9])|([12][0-9]))(~(wip|work-in-progress|experimental|beta))?))$
Responses
204

Deployment credential was deleted

delete/tenants/{tenant_id}/brokers/installs/{install_id}/deployments/{deployment_id}/credentials/{credential_id}
DELETE /rest/tenants/{tenant_id}/brokers/installs/{install_id}/deployments/{deployment_id}/credentials/{credential_id}?version=2021-06-04 HTTP/1.1
Host: api.snyk.io
Authorization: YOUR_API_KEY
Accept: */*

No content

Create broker Context

post

Creates a new Broker Context

Required permissions

  • View Tenant Details (tenant.read)

  • Edit Tenant Details (tenant.edit)

Authorizations
AuthorizationstringRequired

API key value must be prefixed with "Token ".

Path parameters
tenant_idstring · uuidRequired

Tenant ID

install_idstring · uuidRequired

Install ID

deployment_idstring · uuidRequired

Deployment ID

Query parameters
versionstringRequired

Requested API version

Example: 2021-06-04Pattern: ^(wip|work-in-progress|experimental|beta|((([0-9]{4})-([0-1][0-9]))-((3[01])|(0[1-9])|([12][0-9]))(~(wip|work-in-progress|experimental|beta))?))$
Body
Responses
201

Created Broker Context successfully

application/vnd.api+json
post/tenants/{tenant_id}/brokers/installs/{install_id}/deployments/{deployment_id}/contexts
POST /rest/tenants/{tenant_id}/brokers/installs/{install_id}/deployments/{deployment_id}/contexts?version=2021-06-04 HTTP/1.1
Host: api.snyk.io
Authorization: YOUR_API_KEY
Content-Type: application/vnd.api+json
Accept: */*
Content-Length: 149

{
  "data": {
    "attributes": {
      "connection_id": "123e4567-e89b-12d3-a456-426614174000",
      "context": {
        "ANY_ADDITIONAL_PROPERTY": "text"
      }
    },
    "type": "broker_context"
  }
}
{
  "data": {
    "attributes": {
      "context": {
        "ANY_ADDITIONAL_PROPERTY": "text"
      }
    },
    "id": "123e4567-e89b-12d3-a456-426614174000",
    "relationships": {
      "broker_connections": [
        {
          "data": {
            "id": "text",
            "type": "text"
          }
        }
      ],
      "jsonapi": {
        "version": "1.0"
      },
      "links": {
        "first": "https://example.com/api/resource?ending_before=v1.eyJpZCI6IjExIn0K",
        "last": "https://example.com/api/resource?starting_after=v1.eyJpZCI6IjMwIn0K",
        "next": "https://example.com/api/resource?starting_after=v1.eyJpZCI6IjEwIn0K"
      },
      "ANY_ADDITIONAL_PROPERTY": "anything",
      "applied_integrations": [
        {
          "data": {
            "id": "text",
            "org_id": "text",
            "type": "text"
          }
        }
      ]
    },
    "type": "broker_context",
    "ANY_ADDITIONAL_PROPERTY": "anything"
  },
  "jsonapi": {
    "version": "1.0"
  },
  "links": {
    "first": "https://example.com/api/resource?ending_before=v1.eyJpZCI6IjExIn0K",
    "last": "https://example.com/api/resource?starting_after=v1.eyJpZCI6IjMwIn0K",
    "next": "https://example.com/api/resource?starting_after=v1.eyJpZCI6IjEwIn0K"
  }
}

List Deployment contexts

get

List Deployment contexts for a given deployment ID

Required permissions

  • View Tenant Details (tenant.read)
Authorizations
AuthorizationstringRequired

API key value must be prefixed with "Token ".

Path parameters
tenant_idstring · uuidRequired

Tenant ID

install_idstring · uuidRequired

Install ID

deployment_idstring · uuidRequired

Deployment ID

Query parameters
ending_beforestringOptional

Return the page of results immediately before this cursor

Example: v1.eyJpZCI6IjExMDAifQo=
starting_afterstringOptional

Return the page of results immediately after this cursor

Example: v1.eyJpZCI6IjEwMDAifQo=
limitinteger · int32 · min: 1 · max: 100Optional

Number of results to return per page

Default: 10Example: 10
versionstringRequired

Requested API version

Example: 2021-06-04Pattern: ^(wip|work-in-progress|experimental|beta|((([0-9]{4})-([0-1][0-9]))-((3[01])|(0[1-9])|([12][0-9]))(~(wip|work-in-progress|experimental|beta))?))$
Responses
200

Returns the list of broker contexts by deployment ID

application/vnd.api+json
get/tenants/{tenant_id}/brokers/installs/{install_id}/deployments/{deployment_id}/contexts
GET /rest/tenants/{tenant_id}/brokers/installs/{install_id}/deployments/{deployment_id}/contexts?version=2021-06-04 HTTP/1.1
Host: api.snyk.io
Authorization: YOUR_API_KEY
Accept: */*
{
  "data": [
    {
      "attributes": {
        "context": {
          "ANY_ADDITIONAL_PROPERTY": "text"
        }
      },
      "id": "123e4567-e89b-12d3-a456-426614174000",
      "relationships": {
        "broker_connections": [
          {
            "data": {
              "id": "text",
              "type": "text"
            }
          }
        ],
        "jsonapi": {
          "version": "1.0"
        },
        "links": {
          "first": "https://example.com/api/resource?ending_before=v1.eyJpZCI6IjExIn0K",
          "last": "https://example.com/api/resource?starting_after=v1.eyJpZCI6IjMwIn0K",
          "next": "https://example.com/api/resource?starting_after=v1.eyJpZCI6IjEwIn0K"
        },
        "ANY_ADDITIONAL_PROPERTY": "anything",
        "applied_integrations": [
          {
            "data": {
              "id": "text",
              "org_id": "text",
              "type": "text"
            }
          }
        ]
      },
      "type": "broker_context",
      "ANY_ADDITIONAL_PROPERTY": "anything"
    }
  ],
  "jsonapi": {
    "version": "1.0"
  },
  "links": {
    "first": "https://example.com/api/resource?ending_before=v1.eyJpZCI6IjExIn0K",
    "last": "https://example.com/api/resource?starting_after=v1.eyJpZCI6IjMwIn0K",
    "next": "https://example.com/api/resource?starting_after=v1.eyJpZCI6IjEwIn0K"
  }
}

Creates Broker connection

post

Creates a new Broker connection for an deployment

Required permissions

  • View Tenant Details (tenant.read)

  • Edit Tenant Details (tenant.edit)

Authorizations
AuthorizationstringRequired

API key value must be prefixed with "Token ".

Path parameters
tenant_idstring · uuidRequired

Tenant ID

install_idstring · uuidRequired

Install ID

deployment_idstring · uuidRequired

Deployment ID

Query parameters
versionstringRequired

Requested API version

Example: 2021-06-04Pattern: ^(wip|work-in-progress|experimental|beta|((([0-9]{4})-([0-1][0-9]))-((3[01])|(0[1-9])|([12][0-9]))(~(wip|work-in-progress|experimental|beta))?))$
Body
Responses
201

Created broker connection successfully

application/vnd.api+json
post/tenants/{tenant_id}/brokers/installs/{install_id}/deployments/{deployment_id}/connections
POST /rest/tenants/{tenant_id}/brokers/installs/{install_id}/deployments/{deployment_id}/connections?version=2021-06-04 HTTP/1.1
Host: api.snyk.io
Authorization: YOUR_API_KEY
Content-Type: application/vnd.api+json
Accept: */*
Content-Length: 557

{
  "data": {
    "attributes": {
      "deployment_id": "123e4567-e89b-12d3-a456-426614174000",
      "identifier": "123e4567-e89b-12d3-a456-426614174000",
      "name": "text",
      "secrets": {
        "primary": {
          "encrypted": "text",
          "expires_at": "2026-01-01T00:00:00.000Z",
          "nonce": "text"
        },
        "secondary": {
          "encrypted": "text",
          "expires_at": "2026-01-01T00:00:00.000Z",
          "nonce": "text"
        }
      },
      "configuration": {
        "required": {
          "checkmarx": "checkmarx.customer.com",
          "checkmarx_password": "123e4567-e89b-12d3-a456-426614174000",
          "checkmarx_username": "<username>"
        },
        "type": "apprisk",
        "validations": [
          {}
        ]
      }
    },
    "type": "broker_connection"
  }
}
{
  "data": {
    "attributes": {
      "deployment_id": "123e4567-e89b-12d3-a456-426614174000",
      "identifier": "123e4567-e89b-12d3-a456-426614174000",
      "name": "text",
      "secrets": {
        "primary": {
          "encrypted": "text",
          "expires_at": "2026-01-01T00:00:00.000Z",
          "nonce": "text"
        },
        "secondary": {
          "encrypted": "text",
          "expires_at": "2026-01-01T00:00:00.000Z",
          "nonce": "text"
        }
      },
      "configuration": {
        "required": {
          "ANY_ADDITIONAL_PROPERTY": "text"
        },
        "type": "text",
        "validations": [
          {}
        ]
      }
    },
    "id": "123e4567-e89b-12d3-a456-426614174000",
    "relationships": [
      {
        "attributes": {
          "context": {
            "ANY_ADDITIONAL_PROPERTY": "text"
          }
        },
        "id": "123e4567-e89b-12d3-a456-426614174000",
        "relationships": {
          "broker_connections": [
            {
              "data": {
                "id": "text",
                "type": "text"
              }
            }
          ],
          "jsonapi": {
            "version": "1.0"
          },
          "links": {
            "first": "https://example.com/api/resource?ending_before=v1.eyJpZCI6IjExIn0K",
            "last": "https://example.com/api/resource?starting_after=v1.eyJpZCI6IjMwIn0K",
            "next": "https://example.com/api/resource?starting_after=v1.eyJpZCI6IjEwIn0K"
          },
          "ANY_ADDITIONAL_PROPERTY": "anything",
          "applied_integrations": [
            {
              "data": {
                "id": "text",
                "org_id": "text",
                "type": "text"
              }
            }
          ]
        },
        "type": "broker_context",
        "ANY_ADDITIONAL_PROPERTY": "anything"
      }
    ],
    "type": "broker_connection"
  },
  "jsonapi": {
    "version": "1.0"
  },
  "links": {
    "first": "https://example.com/api/resource?ending_before=v1.eyJpZCI6IjExIn0K",
    "last": "https://example.com/api/resource?starting_after=v1.eyJpZCI6IjMwIn0K",
    "next": "https://example.com/api/resource?starting_after=v1.eyJpZCI6IjEwIn0K"
  }
}

List Broker connections

get

List all Broker connections for a given deployment

Required permissions

  • View Tenant Details (tenant.read)
Authorizations
AuthorizationstringRequired

API key value must be prefixed with "Token ".

Path parameters
tenant_idstring · uuidRequired

Tenant ID

install_idstring · uuidRequired

Install ID

deployment_idstring · uuidRequired

Deployment ID

Query parameters
ending_beforestringOptional

Return the page of results immediately before this cursor

Example: v1.eyJpZCI6IjExMDAifQo=
starting_afterstringOptional

Return the page of results immediately after this cursor

Example: v1.eyJpZCI6IjEwMDAifQo=
limitinteger · int32 · min: 1 · max: 100Optional

Number of results to return per page

Default: 10Example: 10
versionstringRequired

Requested API version

Example: 2021-06-04Pattern: ^(wip|work-in-progress|experimental|beta|((([0-9]{4})-([0-1][0-9]))-((3[01])|(0[1-9])|([12][0-9]))(~(wip|work-in-progress|experimental|beta))?))$
Responses
200

Returns the list of Broker connections by deployment ID

application/vnd.api+json
get/tenants/{tenant_id}/brokers/installs/{install_id}/deployments/{deployment_id}/connections
GET /rest/tenants/{tenant_id}/brokers/installs/{install_id}/deployments/{deployment_id}/connections?version=2021-06-04 HTTP/1.1
Host: api.snyk.io
Authorization: YOUR_API_KEY
Accept: */*
{
  "data": [
    {
      "attributes": {
        "deployment_id": "123e4567-e89b-12d3-a456-426614174000",
        "identifier": "123e4567-e89b-12d3-a456-426614174000",
        "name": "text",
        "secrets": {
          "primary": {
            "encrypted": "text",
            "expires_at": "2026-01-01T00:00:00.000Z",
            "nonce": "text"
          },
          "secondary": {
            "encrypted": "text",
            "expires_at": "2026-01-01T00:00:00.000Z",
            "nonce": "text"
          }
        },
        "configuration": {
          "required": {
            "ANY_ADDITIONAL_PROPERTY": "text"
          },
          "type": "text",
          "validations": [
            {}
          ]
        }
      },
      "id": "123e4567-e89b-12d3-a456-426614174000",
      "relationships": [
        {
          "attributes": {
            "context": {
              "ANY_ADDITIONAL_PROPERTY": "text"
            }
          },
          "id": "123e4567-e89b-12d3-a456-426614174000",
          "relationships": {
            "broker_connections": [
              {
                "data": {
                  "id": "text",
                  "type": "text"
                }
              }
            ],
            "jsonapi": {
              "version": "1.0"
            },
            "links": {
              "first": "https://example.com/api/resource?ending_before=v1.eyJpZCI6IjExIn0K",
              "last": "https://example.com/api/resource?starting_after=v1.eyJpZCI6IjMwIn0K",
              "next": "https://example.com/api/resource?starting_after=v1.eyJpZCI6IjEwIn0K"
            },
            "ANY_ADDITIONAL_PROPERTY": "anything",
            "applied_integrations": [
              {
                "data": {
                  "id": "text",
                  "org_id": "text",
                  "type": "text"
                }
              }
            ]
          },
          "type": "broker_context",
          "ANY_ADDITIONAL_PROPERTY": "anything"
        }
      ],
      "type": "broker_connection"
    }
  ],
  "jsonapi": {
    "version": "1.0"
  },
  "links": {
    "first": "https://example.com/api/resource?ending_before=v1.eyJpZCI6IjExIn0K",
    "last": "https://example.com/api/resource?starting_after=v1.eyJpZCI6IjMwIn0K",
    "next": "https://example.com/api/resource?starting_after=v1.eyJpZCI6IjEwIn0K"
  }
}

Deletes Broker connections

delete

Deletes all existing Broker connections for an deployment

Required permissions

  • View Tenant Details (tenant.read)

  • Edit Tenant Details (tenant.edit)

Authorizations
AuthorizationstringRequired

API key value must be prefixed with "Token ".

Path parameters
tenant_idstring · uuidRequired

Tenant ID

install_idstring · uuidRequired

Install ID

deployment_idstring · uuidRequired

Deployment ID

Query parameters
versionstringRequired

Requested API version

Example: 2021-06-04Pattern: ^(wip|work-in-progress|experimental|beta|((([0-9]{4})-([0-1][0-9]))-((3[01])|(0[1-9])|([12][0-9]))(~(wip|work-in-progress|experimental|beta))?))$
Responses
204

All Broker connections were deleted

delete/tenants/{tenant_id}/brokers/installs/{install_id}/deployments/{deployment_id}/connections
DELETE /rest/tenants/{tenant_id}/brokers/installs/{install_id}/deployments/{deployment_id}/connections?version=2021-06-04 HTTP/1.1
Host: api.snyk.io
Authorization: YOUR_API_KEY
Accept: */*

No content

Updates Broker connection

patch

Updates a Broker connection for an deployment

Required permissions

  • View Tenant Details (tenant.read)

  • Edit Tenant Details (tenant.edit)

Authorizations
AuthorizationstringRequired

API key value must be prefixed with "Token ".

Path parameters
tenant_idstring · uuidRequired

Tenant ID

install_idstring · uuidRequired

Install ID

deployment_idstring · uuidRequired

Deployment ID

connection_idstring · uuidRequired

Connection ID

Query parameters
versionstringRequired

Requested API version

Example: 2021-06-04Pattern: ^(wip|work-in-progress|experimental|beta|((([0-9]{4})-([0-1][0-9]))-((3[01])|(0[1-9])|([12][0-9]))(~(wip|work-in-progress|experimental|beta))?))$
Body
Responses
200

Updates an existing Broker connection for an deployment

application/vnd.api+json
patch/tenants/{tenant_id}/brokers/installs/{install_id}/deployments/{deployment_id}/connections/{connection_id}
PATCH /rest/tenants/{tenant_id}/brokers/installs/{install_id}/deployments/{deployment_id}/connections/{connection_id}?version=2021-06-04 HTTP/1.1
Host: api.snyk.io
Authorization: YOUR_API_KEY
Content-Type: application/vnd.api+json
Accept: */*
Content-Length: 557

{
  "data": {
    "attributes": {
      "deployment_id": "123e4567-e89b-12d3-a456-426614174000",
      "identifier": "123e4567-e89b-12d3-a456-426614174000",
      "name": "text",
      "secrets": {
        "primary": {
          "encrypted": "text",
          "expires_at": "2026-01-01T00:00:00.000Z",
          "nonce": "text"
        },
        "secondary": {
          "encrypted": "text",
          "expires_at": "2026-01-01T00:00:00.000Z",
          "nonce": "text"
        }
      },
      "configuration": {
        "required": {
          "checkmarx": "checkmarx.customer.com",
          "checkmarx_password": "123e4567-e89b-12d3-a456-426614174000",
          "checkmarx_username": "<username>"
        },
        "type": "apprisk",
        "validations": [
          {}
        ]
      }
    },
    "type": "broker_connection"
  }
}
{
  "data": {
    "attributes": {
      "deployment_id": "123e4567-e89b-12d3-a456-426614174000",
      "identifier": "123e4567-e89b-12d3-a456-426614174000",
      "name": "text",
      "secrets": {
        "primary": {
          "encrypted": "text",
          "expires_at": "2026-01-01T00:00:00.000Z",
          "nonce": "text"
        },
        "secondary": {
          "encrypted": "text",
          "expires_at": "2026-01-01T00:00:00.000Z",
          "nonce": "text"
        }
      },
      "configuration": {
        "required": {
          "ANY_ADDITIONAL_PROPERTY": "text"
        },
        "type": "text",
        "validations": [
          {}
        ]
      }
    },
    "id": "123e4567-e89b-12d3-a456-426614174000",
    "relationships": [
      {
        "attributes": {
          "context": {
            "ANY_ADDITIONAL_PROPERTY": "text"
          }
        },
        "id": "123e4567-e89b-12d3-a456-426614174000",
        "relationships": {
          "broker_connections": [
            {
              "data": {
                "id": "text",
                "type": "text"
              }
            }
          ],
          "jsonapi": {
            "version": "1.0"
          },
          "links": {
            "first": "https://example.com/api/resource?ending_before=v1.eyJpZCI6IjExIn0K",
            "last": "https://example.com/api/resource?starting_after=v1.eyJpZCI6IjMwIn0K",
            "next": "https://example.com/api/resource?starting_after=v1.eyJpZCI6IjEwIn0K"
          },
          "ANY_ADDITIONAL_PROPERTY": "anything",
          "applied_integrations": [
            {
              "data": {
                "id": "text",
                "org_id": "text",
                "type": "text"
              }
            }
          ]
        },
        "type": "broker_context",
        "ANY_ADDITIONAL_PROPERTY": "anything"
      }
    ],
    "type": "broker_connection"
  },
  "jsonapi": {
    "version": "1.0"
  },
  "links": {
    "first": "https://example.com/api/resource?ending_before=v1.eyJpZCI6IjExIn0K",
    "last": "https://example.com/api/resource?starting_after=v1.eyJpZCI6IjMwIn0K",
    "next": "https://example.com/api/resource?starting_after=v1.eyJpZCI6IjEwIn0K"
  }
}

Get Broker connection

get

Get all Broker connection data for an deployment

Required permissions

  • View Tenant Details (tenant.read)
Authorizations
AuthorizationstringRequired

API key value must be prefixed with "Token ".

Path parameters
tenant_idstring · uuidRequired

Tenant ID

install_idstring · uuidRequired

Install ID

deployment_idstring · uuidRequired

Deployment ID

connection_idstring · uuidRequired

Connection ID

Query parameters
versionstringRequired

Requested API version

Example: 2021-06-04Pattern: ^(wip|work-in-progress|experimental|beta|((([0-9]{4})-([0-1][0-9]))-((3[01])|(0[1-9])|([12][0-9]))(~(wip|work-in-progress|experimental|beta))?))$
ending_beforestringOptional

Return the page of results immediately before this cursor

Example: v1.eyJpZCI6IjExMDAifQo=
starting_afterstringOptional

Return the page of results immediately after this cursor

Example: v1.eyJpZCI6IjEwMDAifQo=
limitinteger · int32 · min: 1 · max: 100Optional

Number of results to return per page

Default: 10Example: 10
Responses
200

Returns a Broker connection

application/vnd.api+json
get/tenants/{tenant_id}/brokers/installs/{install_id}/deployments/{deployment_id}/connections/{connection_id}
GET /rest/tenants/{tenant_id}/brokers/installs/{install_id}/deployments/{deployment_id}/connections/{connection_id}?version=2021-06-04 HTTP/1.1
Host: api.snyk.io
Authorization: YOUR_API_KEY
Accept: */*
{
  "data": {
    "attributes": {
      "deployment_id": "123e4567-e89b-12d3-a456-426614174000",
      "identifier": "123e4567-e89b-12d3-a456-426614174000",
      "name": "text",
      "secrets": {
        "primary": {
          "encrypted": "text",
          "expires_at": "2026-01-01T00:00:00.000Z",
          "nonce": "text"
        },
        "secondary": {
          "encrypted": "text",
          "expires_at": "2026-01-01T00:00:00.000Z",
          "nonce": "text"
        }
      },
      "configuration": {
        "required": {
          "ANY_ADDITIONAL_PROPERTY": "text"
        },
        "type": "text",
        "validations": [
          {}
        ]
      }
    },
    "id": "123e4567-e89b-12d3-a456-426614174000",
    "relationships": [
      {
        "attributes": {
          "context": {
            "ANY_ADDITIONAL_PROPERTY": "text"
          }
        },
        "id": "123e4567-e89b-12d3-a456-426614174000",
        "relationships": {
          "broker_connections": [
            {
              "data": {
                "id": "text",
                "type": "text"
              }
            }
          ],
          "jsonapi": {
            "version": "1.0"
          },
          "links": {
            "first": "https://example.com/api/resource?ending_before=v1.eyJpZCI6IjExIn0K",
            "last": "https://example.com/api/resource?starting_after=v1.eyJpZCI6IjMwIn0K",
            "next": "https://example.com/api/resource?starting_after=v1.eyJpZCI6IjEwIn0K"
          },
          "ANY_ADDITIONAL_PROPERTY": "anything",
          "applied_integrations": [
            {
              "data": {
                "id": "text",
                "org_id": "text",
                "type": "text"
              }
            }
          ]
        },
        "type": "broker_context",
        "ANY_ADDITIONAL_PROPERTY": "anything"
      }
    ],
    "type": "broker_connection"
  },
  "jsonapi": {
    "version": "1.0"
  },
  "links": {
    "first": "https://example.com/api/resource?ending_before=v1.eyJpZCI6IjExIn0K",
    "last": "https://example.com/api/resource?starting_after=v1.eyJpZCI6IjMwIn0K",
    "next": "https://example.com/api/resource?starting_after=v1.eyJpZCI6IjEwIn0K"
  }
}

Deletes Broker connection

delete

Deletes an existing Broker connection for an deployment

Required permissions

  • View Tenant Details (tenant.read)

  • Edit Tenant Details (tenant.edit)

Authorizations
AuthorizationstringRequired

API key value must be prefixed with "Token ".

Path parameters
tenant_idstring · uuidRequired

Tenant ID

install_idstring · uuidRequired

Install ID

deployment_idstring · uuidRequired

Deployment ID

connection_idstring · uuidRequired

Connection ID

Query parameters
versionstringRequired

Requested API version

Example: 2021-06-04Pattern: ^(wip|work-in-progress|experimental|beta|((([0-9]{4})-([0-1][0-9]))-((3[01])|(0[1-9])|([12][0-9]))(~(wip|work-in-progress|experimental|beta))?))$
Responses
204

Broker connection was deleted

delete/tenants/{tenant_id}/brokers/installs/{install_id}/deployments/{deployment_id}/connections/{connection_id}
DELETE /rest/tenants/{tenant_id}/brokers/installs/{install_id}/deployments/{deployment_id}/connections/{connection_id}?version=2021-06-04 HTTP/1.1
Host: api.snyk.io
Authorization: YOUR_API_KEY
Accept: */*

No content

Performs bulk migration integrations to universal broker

post

Performs bulk migration for integrations from legacy to universal broker

Required permissions

  • View Tenant Details (tenant.read)
Authorizations
AuthorizationstringRequired

API key value must be prefixed with "Token ".

Path parameters
connection_idstring · uuidRequired

Connection ID

deployment_idstring · uuidRequired

Deployment ID

install_idstring · uuidRequired

Install ID

tenant_idstring · uuidRequired

Tenant ID

Query parameters
versionstringRequired

Requested API version

Example: 2021-06-04Pattern: ^(wip|work-in-progress|experimental|beta|((([0-9]{4})-([0-1][0-9]))-((3[01])|(0[1-9])|([12][0-9]))(~(wip|work-in-progress|experimental|beta))?))$
Body
Responses
201

The bulk migration process was started

application/vnd.api+json
post/tenants/{tenant_id}/brokers/installs/{install_id}/deployments/{deployment_id}/connections/{connection_id}/bulk_migration
POST /rest/tenants/{tenant_id}/brokers/installs/{install_id}/deployments/{deployment_id}/connections/{connection_id}/bulk_migration?version=2021-06-04 HTTP/1.1
Host: api.snyk.io
Authorization: YOUR_API_KEY
Content-Type: application/vnd.api+json
Accept: */*
Content-Length: 36

{
  "data": {
    "type": "broker_migration"
  }
}
{
  "data": {
    "attributes": {
      "status": "text"
    },
    "id": "123e4567-e89b-12d3-a456-426614174000",
    "type": "broker_migration"
  },
  "jsonapi": {
    "version": "1.0"
  },
  "links": {
    "first": "https://example.com/api/resource?ending_before=v1.eyJpZCI6IjExIn0K",
    "last": "https://example.com/api/resource?starting_after=v1.eyJpZCI6IjMwIn0K",
    "next": "https://example.com/api/resource?starting_after=v1.eyJpZCI6IjEwIn0K"
  }
}

List organizations for bulk migration

get

Lists organization IDs associated with a connection type to be bulk migrated to universal broker

Required permissions

  • View Tenant Details (tenant.read)
Authorizations
AuthorizationstringRequired

API key value must be prefixed with "Token ".

Path parameters
connection_idstring · uuidRequired

Connection ID

deployment_idstring · uuidRequired

Deployment ID

install_idstring · uuidRequired

Install ID

tenant_idstring · uuidRequired

Tenant ID

Query parameters
versionstringRequired

Requested API version

Example: 2021-06-04Pattern: ^(wip|work-in-progress|experimental|beta|((([0-9]{4})-([0-1][0-9]))-((3[01])|(0[1-9])|([12][0-9]))(~(wip|work-in-progress|experimental|beta))?))$
ending_beforestringOptional

Return the page of results immediately before this cursor

Example: v1.eyJpZCI6IjExMDAifQo=
starting_afterstringOptional

Return the page of results immediately after this cursor

Example: v1.eyJpZCI6IjEwMDAifQo=
limitinteger · int32 · min: 1 · max: 100Optional

Number of results to return per page

Default: 10Example: 10
Responses
200

Returns a list of organization IDs for the bulk migration

application/vnd.api+json
get/tenants/{tenant_id}/brokers/installs/{install_id}/deployments/{deployment_id}/connections/{connection_id}/bulk_migration
GET /rest/tenants/{tenant_id}/brokers/installs/{install_id}/deployments/{deployment_id}/connections/{connection_id}/bulk_migration?version=2021-06-04 HTTP/1.1
Host: api.snyk.io
Authorization: YOUR_API_KEY
Accept: */*
{
  "data": [
    {
      "id": "123e4567-e89b-12d3-a456-426614174000",
      "type": "broker_organization"
    }
  ],
  "jsonapi": {
    "version": "1.0"
  },
  "links": {
    "first": "https://example.com/api/resource?ending_before=v1.eyJpZCI6IjExIn0K",
    "last": "https://example.com/api/resource?starting_after=v1.eyJpZCI6IjMwIn0K",
    "next": "https://example.com/api/resource?starting_after=v1.eyJpZCI6IjEwIn0K"
  }
}

Updates Broker Context

patch

Updates a Broker Context for an deployment

Required permissions

  • View Tenant Details (tenant.read)

  • Edit Tenant Details (tenant.edit)

Authorizations
AuthorizationstringRequired

API key value must be prefixed with "Token ".

Path parameters
tenant_idstring · uuidRequired

Tenant ID

install_idstring · uuidRequired

Install ID

context_idstring · uuidRequired

Context ID

Query parameters
versionstringRequired

Requested API version

Example: 2021-06-04Pattern: ^(wip|work-in-progress|experimental|beta|((([0-9]{4})-([0-1][0-9]))-((3[01])|(0[1-9])|([12][0-9]))(~(wip|work-in-progress|experimental|beta))?))$
Body
Responses
200

Updates an existing Broker Context

application/vnd.api+json
patch/tenants/{tenant_id}/brokers/installs/{install_id}/contexts/{context_id}
PATCH /rest/tenants/{tenant_id}/brokers/installs/{install_id}/contexts/{context_id}?version=2021-06-04 HTTP/1.1
Host: api.snyk.io
Authorization: YOUR_API_KEY
Content-Type: application/vnd.api+json
Accept: */*
Content-Length: 138

{
  "data": {
    "attributes": {
      "context": {
        "ANY_ADDITIONAL_PROPERTY": "text"
      }
    },
    "id": "123e4567-e89b-12d3-a456-426614174000",
    "type": "broker_context"
  }
}
{
  "data": {
    "attributes": {
      "context": {
        "ANY_ADDITIONAL_PROPERTY": "text"
      }
    },
    "id": "123e4567-e89b-12d3-a456-426614174000",
    "relationships": {
      "broker_connections": [
        {
          "data": {
            "id": "text",
            "type": "text"
          }
        }
      ],
      "jsonapi": {
        "version": "1.0"
      },
      "links": {
        "first": "https://example.com/api/resource?ending_before=v1.eyJpZCI6IjExIn0K",
        "last": "https://example.com/api/resource?starting_after=v1.eyJpZCI6IjMwIn0K",
        "next": "https://example.com/api/resource?starting_after=v1.eyJpZCI6IjEwIn0K"
      },
      "ANY_ADDITIONAL_PROPERTY": "anything",
      "applied_integrations": [
        {
          "data": {
            "id": "text",
            "org_id": "text",
            "type": "text"
          }
        }
      ]
    },
    "type": "broker_context",
    "ANY_ADDITIONAL_PROPERTY": "anything"
  },
  "jsonapi": {
    "version": "1.0"
  },
  "links": {
    "first": "https://example.com/api/resource?ending_before=v1.eyJpZCI6IjExIn0K",
    "last": "https://example.com/api/resource?starting_after=v1.eyJpZCI6IjMwIn0K",
    "next": "https://example.com/api/resource?starting_after=v1.eyJpZCI6IjEwIn0K"
  }
}

List Connection context

get

List Broker context for a given broker context ID

Required permissions

  • View Tenant Details (tenant.read)
Authorizations
AuthorizationstringRequired

API key value must be prefixed with "Token ".

Path parameters
tenant_idstring · uuidRequired

Tenant ID

install_idstring · uuidRequired

Install ID

context_idstring · uuidRequired

Context ID

Query parameters
ending_beforestringOptional

Return the page of results immediately before this cursor

Example: v1.eyJpZCI6IjExMDAifQo=
starting_afterstringOptional

Return the page of results immediately after this cursor

Example: v1.eyJpZCI6IjEwMDAifQo=
limitinteger · int32 · min: 1 · max: 100Optional

Number of results to return per page

Default: 10Example: 10
versionstringRequired

Requested API version

Example: 2021-06-04Pattern: ^(wip|work-in-progress|experimental|beta|((([0-9]{4})-([0-1][0-9]))-((3[01])|(0[1-9])|([12][0-9]))(~(wip|work-in-progress|experimental|beta))?))$
Responses
200

Returns the broker context by context ID

application/vnd.api+json
get/tenants/{tenant_id}/brokers/installs/{install_id}/contexts/{context_id}
GET /rest/tenants/{tenant_id}/brokers/installs/{install_id}/contexts/{context_id}?version=2021-06-04 HTTP/1.1
Host: api.snyk.io
Authorization: YOUR_API_KEY
Accept: */*
{
  "data": {
    "attributes": {
      "context": {
        "ANY_ADDITIONAL_PROPERTY": "text"
      }
    },
    "id": "123e4567-e89b-12d3-a456-426614174000",
    "relationships": {
      "broker_connections": [
        {
          "data": {
            "id": "text",
            "type": "text"
          }
        }
      ],
      "jsonapi": {
        "version": "1.0"
      },
      "links": {
        "first": "https://example.com/api/resource?ending_before=v1.eyJpZCI6IjExIn0K",
        "last": "https://example.com/api/resource?starting_after=v1.eyJpZCI6IjMwIn0K",
        "next": "https://example.com/api/resource?starting_after=v1.eyJpZCI6IjEwIn0K"
      },
      "ANY_ADDITIONAL_PROPERTY": "anything",
      "applied_integrations": [
        {
          "data": {
            "id": "text",
            "org_id": "text",
            "type": "text"
          }
        }
      ]
    },
    "type": "broker_context",
    "ANY_ADDITIONAL_PROPERTY": "anything"
  },
  "jsonapi": {
    "version": "1.0"
  },
  "links": {
    "first": "https://example.com/api/resource?ending_before=v1.eyJpZCI6IjExIn0K",
    "last": "https://example.com/api/resource?starting_after=v1.eyJpZCI6IjMwIn0K",
    "next": "https://example.com/api/resource?starting_after=v1.eyJpZCI6IjEwIn0K"
  }
}

Deletes broker context

delete

Deletes an existing broker context

Required permissions

  • View Tenant Details (tenant.read)

  • Edit Tenant Details (tenant.edit)

Authorizations
AuthorizationstringRequired

API key value must be prefixed with "Token ".

Path parameters
tenant_idstring · uuidRequired

Tenant ID

install_idstring · uuidRequired

Install ID

context_idstring · uuidRequired

Context ID

Query parameters
versionstringRequired

Requested API version

Example: 2021-06-04Pattern: ^(wip|work-in-progress|experimental|beta|((([0-9]{4})-([0-1][0-9]))-((3[01])|(0[1-9])|([12][0-9]))(~(wip|work-in-progress|experimental|beta))?))$
Responses
204

Broker context was deleted

delete/tenants/{tenant_id}/brokers/installs/{install_id}/contexts/{context_id}
DELETE /rest/tenants/{tenant_id}/brokers/installs/{install_id}/contexts/{context_id}?version=2021-06-04 HTTP/1.1
Host: api.snyk.io
Authorization: YOUR_API_KEY
Accept: */*

No content

Deletes the Broker context association with an Integration

delete

Deletes an existing Broker context association for an integration

Required permissions

  • View Tenant Details (tenant.read)

  • Edit Tenant Details (tenant.edit)

Authorizations
AuthorizationstringRequired

API key value must be prefixed with "Token ".

Path parameters
tenant_idstring · uuidRequired

Tenant ID

install_idstring · uuidRequired

Install ID

context_idstring · uuidRequired

Context ID

integration_idstring · uuidRequired

Integration ID

Query parameters
versionstringRequired

Requested API version

Example: 2021-06-04Pattern: ^(wip|work-in-progress|experimental|beta|((([0-9]{4})-([0-1][0-9]))-((3[01])|(0[1-9])|([12][0-9]))(~(wip|work-in-progress|experimental|beta))?))$
Responses
204

Broker context assocation with a connection integration was deleted

delete/tenants/{tenant_id}/brokers/installs/{install_id}/contexts/{context_id}/integrations/{integration_id}
DELETE /rest/tenants/{tenant_id}/brokers/installs/{install_id}/contexts/{context_id}/integrations/{integration_id}?version=2021-06-04 HTTP/1.1
Host: api.snyk.io
Authorization: YOUR_API_KEY
Accept: */*

No content

Updates an integration to be associated with a Broker context

patch

Updates an integration to be associated with a Broker context

Required permissions

  • View Tenant Details (tenant.read)

  • Edit Tenant Details (tenant.edit)

Authorizations
AuthorizationstringRequired

API key value must be prefixed with "Token ".

Path parameters
tenant_idstring · uuidRequired

Tenant ID

install_idstring · uuidRequired

Install ID

context_idstring · uuidRequired

Context ID

Query parameters
versionstringRequired

Requested API version

Example: 2021-06-04Pattern: ^(wip|work-in-progress|experimental|beta|((([0-9]{4})-([0-1][0-9]))-((3[01])|(0[1-9])|([12][0-9]))(~(wip|work-in-progress|experimental|beta))?))$
Body
Responses
200

Broker context assocation with a connection integration was created

application/vnd.api+json
patch/tenants/{tenant_id}/brokers/installs/{install_id}/contexts/{context_id}/integration
PATCH /rest/tenants/{tenant_id}/brokers/installs/{install_id}/contexts/{context_id}/integration?version=2021-06-04 HTTP/1.1
Host: api.snyk.io
Authorization: YOUR_API_KEY
Content-Type: application/vnd.api+json
Accept: */*
Content-Length: 145

{
  "data": {
    "attributes": {
      "org_id": "123e4567-e89b-12d3-a456-426614174000"
    },
    "id": "123e4567-e89b-12d3-a456-426614174000",
    "type": "broker_integration"
  }
}
{
  "data": {
    "id": "123e4567-e89b-12d3-a456-426614174000",
    "relationships": {
      "integrations_relationships": [
        {
          "data": {
            "id": "text",
            "integration_type": "text",
            "org_id": "text",
            "type": "text"
          }
        }
      ],
      "jsonapi": {
        "version": "1.0"
      },
      "links": {
        "first": "https://example.com/api/resource?ending_before=v1.eyJpZCI6IjExIn0K",
        "last": "https://example.com/api/resource?starting_after=v1.eyJpZCI6IjMwIn0K",
        "next": "https://example.com/api/resource?starting_after=v1.eyJpZCI6IjEwIn0K"
      }
    },
    "type": "broker_context"
  },
  "jsonapi": {
    "version": "1.0"
  },
  "links": {
    "first": "https://example.com/api/resource?ending_before=v1.eyJpZCI6IjExIn0K",
    "last": "https://example.com/api/resource?starting_after=v1.eyJpZCI6IjMwIn0K",
    "next": "https://example.com/api/resource?starting_after=v1.eyJpZCI6IjEwIn0K"
  }
}

List Connection contexts

get

List Broker contexts for a given broker connection ID

Required permissions

  • View Tenant Details (tenant.read)
Authorizations
AuthorizationstringRequired

API key value must be prefixed with "Token ".

Path parameters
tenant_idstring · uuidRequired

Tenant ID

install_idstring · uuidRequired

Install ID

connection_idstring · uuidRequired

Connection ID

Query parameters
ending_beforestringOptional

Return the page of results immediately before this cursor

Example: v1.eyJpZCI6IjExMDAifQo=
starting_afterstringOptional

Return the page of results immediately after this cursor

Example: v1.eyJpZCI6IjEwMDAifQo=
limitinteger · int32 · min: 1 · max: 100Optional

Number of results to return per page

Default: 10Example: 10
versionstringRequired

Requested API version

Example: 2021-06-04Pattern: ^(wip|work-in-progress|experimental|beta|((([0-9]{4})-([0-1][0-9]))-((3[01])|(0[1-9])|([12][0-9]))(~(wip|work-in-progress|experimental|beta))?))$
Responses
200

Returns the list of broker contexts by connection ID

application/vnd.api+json
get/tenants/{tenant_id}/brokers/installs/{install_id}/connections/{connection_id}/contexts
GET /rest/tenants/{tenant_id}/brokers/installs/{install_id}/connections/{connection_id}/contexts?version=2021-06-04 HTTP/1.1
Host: api.snyk.io
Authorization: YOUR_API_KEY
Accept: */*
{
  "data": [
    {
      "attributes": {
        "context": {
          "ANY_ADDITIONAL_PROPERTY": "text"
        }
      },
      "id": "123e4567-e89b-12d3-a456-426614174000",
      "relationships": {
        "broker_connections": [
          {
            "data": {
              "id": "text",
              "type": "text"
            }
          }
        ],
        "jsonapi": {
          "version": "1.0"
        },
        "links": {
          "first": "https://example.com/api/resource?ending_before=v1.eyJpZCI6IjExIn0K",
          "last": "https://example.com/api/resource?starting_after=v1.eyJpZCI6IjMwIn0K",
          "next": "https://example.com/api/resource?starting_after=v1.eyJpZCI6IjEwIn0K"
        },
        "ANY_ADDITIONAL_PROPERTY": "anything",
        "applied_integrations": [
          {
            "data": {
              "id": "text",
              "org_id": "text",
              "type": "text"
            }
          }
        ]
      },
      "type": "broker_context",
      "ANY_ADDITIONAL_PROPERTY": "anything"
    }
  ],
  "jsonapi": {
    "version": "1.0"
  },
  "links": {
    "first": "https://example.com/api/resource?ending_before=v1.eyJpZCI6IjExIn0K",
    "last": "https://example.com/api/resource?starting_after=v1.eyJpZCI6IjMwIn0K",
    "next": "https://example.com/api/resource?starting_after=v1.eyJpZCI6IjEwIn0K"
  }
}

List Broker deployments for tenant

get

List Broker deployments for the tenant

Required permissions

  • View Tenant Details (tenant.read)
Authorizations
AuthorizationstringRequired

API key value must be prefixed with "Token ".

Path parameters
tenant_idstring · uuidRequired

Tenant ID

Query parameters
ending_beforestringOptional

Return the page of results immediately before this cursor

Example: v1.eyJpZCI6IjExMDAifQo=
starting_afterstringOptional

Return the page of results immediately after this cursor

Example: v1.eyJpZCI6IjEwMDAifQo=
limitinteger · int32 · min: 1 · max: 100Optional

Number of results to return per page

Default: 10Example: 10
versionstringRequired

Requested API version

Example: 2021-06-04Pattern: ^(wip|work-in-progress|experimental|beta|((([0-9]{4})-([0-1][0-9]))-((3[01])|(0[1-9])|([12][0-9]))(~(wip|work-in-progress|experimental|beta))?))$
Responses
200

Returns the list of Broker deployments by install ID

application/vnd.api+json
get/tenants/{tenant_id}/brokers/deployments
GET /rest/tenants/{tenant_id}/brokers/deployments?version=2021-06-04 HTTP/1.1
Host: api.snyk.io
Authorization: YOUR_API_KEY
Accept: */*
{
  "data": [
    {
      "attributes": {
        "broker_app_installed_in_org_id": "123e4567-e89b-12d3-a456-426614174000",
        "created_at": "2026-01-01T00:00:00.000Z",
        "install_id": "123e4567-e89b-12d3-a456-426614174000",
        "metadata": {},
        "updated_at": "2026-01-01T00:00:00.000Z"
      },
      "id": "123e4567-e89b-12d3-a456-426614174000",
      "type": "broker_deployment"
    }
  ],
  "jsonapi": {
    "version": "1.0"
  },
  "links": {
    "first": "https://example.com/api/resource?ending_before=v1.eyJpZCI6IjExIn0K",
    "last": "https://example.com/api/resource?starting_after=v1.eyJpZCI6IjMwIn0K",
    "next": "https://example.com/api/resource?starting_after=v1.eyJpZCI6IjEwIn0K"
  }
}

Deletes an Integration for a Broker connection

delete

Deletes an existing Broker connection for an deployment

Required permissions

  • View Tenant Details (tenant.read)
Authorizations
AuthorizationstringRequired

API key value must be prefixed with "Token ".

Path parameters
tenant_idstring · uuidRequired

Tenant ID

connection_idstring · uuidRequired

Connection ID

org_idstring · uuidRequired

Org ID

integration_idstring · uuidRequired

Integration ID

Query parameters
versionstringRequired

Requested API version

Example: 2021-06-04Pattern: ^(wip|work-in-progress|experimental|beta|((([0-9]{4})-([0-1][0-9]))-((3[01])|(0[1-9])|([12][0-9]))(~(wip|work-in-progress|experimental|beta))?))$
Responses
204

Broker connection integration was deleted

delete/tenants/{tenant_id}/brokers/connections/{connection_id}/orgs/{org_id}/integrations/{integration_id}
DELETE /rest/tenants/{tenant_id}/brokers/connections/{connection_id}/orgs/{org_id}/integrations/{integration_id}?version=2021-06-04 HTTP/1.1
Host: api.snyk.io
Authorization: YOUR_API_KEY
Accept: */*

No content

Creates Broker connection Integration Configuration

post

Configures integrations to use the Broker connection for an deployment

Required permissions

  • View Tenant Details (tenant.read)
Authorizations
AuthorizationstringRequired

API key value must be prefixed with "Token ".

Path parameters
tenant_idstring · uuidRequired

Tenant ID

connection_idstring · uuidRequired

Connection ID

org_idstring · uuidRequired

Org ID

Query parameters
versionstringRequired

Requested API version

Example: 2021-06-04Pattern: ^(wip|work-in-progress|experimental|beta|((([0-9]{4})-([0-1][0-9]))-((3[01])|(0[1-9])|([12][0-9]))(~(wip|work-in-progress|experimental|beta))?))$
Body
Responses
201

Configured integrations to use broker connection successfully

application/vnd.api+json
post/tenants/{tenant_id}/brokers/connections/{connection_id}/orgs/{org_id}/integration
POST /rest/tenants/{tenant_id}/brokers/connections/{connection_id}/orgs/{org_id}/integration?version=2021-06-04 HTTP/1.1
Host: api.snyk.io
Authorization: YOUR_API_KEY
Content-Type: application/vnd.api+json
Accept: */*
Content-Length: 82

{
  "data": {
    "integration_id": "123e4567-e89b-12d3-a456-426614174000",
    "type": "github"
  }
}
{
  "data": {
    "id": "123e4567-e89b-12d3-a456-426614174000",
    "integration_type": "text",
    "org_id": "123e4567-e89b-12d3-a456-426614174000",
    "type": "text"
  },
  "jsonapi": {
    "version": "1.0"
  },
  "links": {
    "first": "https://example.com/api/resource?ending_before=v1.eyJpZCI6IjExIn0K",
    "last": "https://example.com/api/resource?starting_after=v1.eyJpZCI6IjMwIn0K",
    "next": "https://example.com/api/resource?starting_after=v1.eyJpZCI6IjEwIn0K"
  }
}

Get Integrations using the current Broker connection

get

Get all integrations using the Broker connection

Required permissions

  • View Tenant Details (tenant.read)
Authorizations
AuthorizationstringRequired

API key value must be prefixed with "Token ".

Path parameters
tenant_idstring · uuidRequired

Tenant ID

connection_idstring · uuidRequired

Connection ID

Query parameters
versionstringRequired

Requested API version

Example: 2021-06-04Pattern: ^(wip|work-in-progress|experimental|beta|((([0-9]{4})-([0-1][0-9]))-((3[01])|(0[1-9])|([12][0-9]))(~(wip|work-in-progress|experimental|beta))?))$
ending_beforestringOptional

Return the page of results immediately before this cursor

Example: v1.eyJpZCI6IjExMDAifQo=
starting_afterstringOptional

Return the page of results immediately after this cursor

Example: v1.eyJpZCI6IjEwMDAifQo=
limitinteger · int32 · min: 1 · max: 100Optional

Number of results to return per page

Default: 10Example: 10
Responses
200

Returns a list of Integration IDs

application/vnd.api+json
get/tenants/{tenant_id}/brokers/connections/{connection_id}/integrations
GET /rest/tenants/{tenant_id}/brokers/connections/{connection_id}/integrations?version=2021-06-04 HTTP/1.1
Host: api.snyk.io
Authorization: YOUR_API_KEY
Accept: */*
{
  "data": [
    {
      "id": "123e4567-e89b-12d3-a456-426614174000",
      "integration_type": "text",
      "org_id": "123e4567-e89b-12d3-a456-426614174000",
      "type": "text"
    }
  ],
  "jsonapi": {
    "version": "1.0"
  },
  "links": {
    "first": "https://example.com/api/resource?ending_before=v1.eyJpZCI6IjExIn0K",
    "last": "https://example.com/api/resource?starting_after=v1.eyJpZCI6IjMwIn0K",
    "next": "https://example.com/api/resource?starting_after=v1.eyJpZCI6IjEwIn0K"
  }
}

List Broker connections for a given organization

get

List all Broker connections integrated with a given org

Required permissions

  • View Organization (org.read)
Authorizations
AuthorizationstringRequired

API key value must be prefixed with "Token ".

Path parameters
org_idstring · uuidRequired

Org ID

Query parameters
ending_beforestringOptional

Return the page of results immediately before this cursor

Example: v1.eyJpZCI6IjExMDAifQo=
starting_afterstringOptional

Return the page of results immediately after this cursor

Example: v1.eyJpZCI6IjEwMDAifQo=
limitinteger · int32 · min: 1 · max: 100Optional

Number of results to return per page

Default: 10Example: 10
versionstringRequired

Requested API version

Example: 2021-06-04Pattern: ^(wip|work-in-progress|experimental|beta|((([0-9]{4})-([0-1][0-9]))-((3[01])|(0[1-9])|([12][0-9]))(~(wip|work-in-progress|experimental|beta))?))$
Responses
200

Returns the list of Broker connections by org ID

application/vnd.api+json
get/orgs/{org_id}/brokers/connections
GET /rest/orgs/{org_id}/brokers/connections?version=2021-06-04 HTTP/1.1
Host: api.snyk.io
Authorization: YOUR_API_KEY
Accept: */*
{
  "data": [
    {
      "attributes": {
        "connection_type": "text",
        "context": "123e4567-e89b-12d3-a456-426614174000",
        "deployment_id": "123e4567-e89b-12d3-a456-426614174000",
        "name": "text"
      },
      "id": "123e4567-e89b-12d3-a456-426614174000",
      "type": "broker_connection"
    }
  ],
  "jsonapi": {
    "version": "1.0"
  },
  "links": {
    "first": "https://example.com/api/resource?ending_before=v1.eyJpZCI6IjExIn0K",
    "last": "https://example.com/api/resource?starting_after=v1.eyJpZCI6IjMwIn0K",
    "next": "https://example.com/api/resource?starting_after=v1.eyJpZCI6IjEwIn0K"
  }
}

Last updated

Was this helpful?